Package com.verisign.epp.codec.contact

## Class EPPContactTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.codec.contact.EPPContactTst

- All Implemented Interfaces:
    `junit.framework.Test`

      public class EPPContactTst
      extends junit.framework.TestCase

  Is a unit test of the com.verisign.epp.codec.contact package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.contact package concrete `EPPCommand`'s and their expected `EPPResponse`. The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPContactTst​(java.lang.String name)` | Creates a new EPPContactTst object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] args)` | Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `protected void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPContactMapFactory` with the `EPPCodec`.
    `static junit.framework.Test` | `suite()` | JUNIT `suite` static method, which returns the tests associated with `EPPContactTst`.
    `protected void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testContactCheck()` | Unit test of `EPPContactCheckCmd`.
    `void` | `testContactCreate()` | Unit test of `EPPContactCreateCmd`.
    `void` | `testContactDelete()` | Unit test of `EPPContactDeleteCmd`.
    `void` | `testContactInfo()` | Unit test of `EPPContactInfoCmd`.
    `void` | `testContactPendActionMsg()` | Unit test of `EPPContactPendActionMsg`. This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.
    `void` | `testContactTransfer()` | Unit test of `EPPContactTransferCmd`.
    `void` | `testContactUpdate()` | Unit test of `EPPContactUpdateCmd`.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPContactTst

          public EPPContactTst​(java.lang.String name)

      Creates a new EPPContactTst object.
      Parameters:
        `name` - DOCUMENT ME!

  - ### Method Detail

    - #### testContactInfo

          public void testContactInfo()

      Unit test of `EPPContactInfoCmd`. The response to `EPPContactInfoCmd` is `EPPContactInfoResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testContactCreate

          public void testContactCreate()

      Unit test of `EPPContactCreateCmd`. The response to `EPPContactCreateCmd` is `EPPContactExpireResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testContactDelete

          public void testContactDelete()

      Unit test of `EPPContactDeleteCmd`. The response to `EPPContactDeleteCmd` is `EPPContactExpireResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testContactUpdate

          public void testContactUpdate()

      Unit test of `EPPContactUpdateCmd`. The response to `EPPContactUpdateCmd` is `EPPResponse`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testContactTransfer

          public void testContactTransfer()

      Unit test of `EPPContactTransferCmd`. The response to `EPPContactTransferCmd` is `EPPContactTransferResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPContactMapFactory` with the `EPPCodec`.
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPContactTst`.
      Returns:
        DOCUMENT ME!

    - #### main

          public static void main​(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - DOCUMENT ME!

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test

    - #### testContactCheck

          public void testContactCheck()

      Unit test of `EPPContactCheckCmd`. The response to `EPPContactCheckCmd` is `EPPContactCheckResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testContactPendActionMsg

          public void testContactPendActionMsg()

      Unit test of `EPPContactPendActionMsg`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.